Debian Bug report logs - #658498
Please filter out bug report status changes from debian-mentors@lists.debian.org

Package: lists.debian.org; Maintainer for lists.debian.org is Debian Listmaster Team <listmaster@lists.debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Fri, 3 Feb 2012 14:36:01 UTC

Severity: wishlist

Tags: wontfix

Done: Arno Töll <arno@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Fri, 03 Feb 2012 14:36:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please filter out bug report status changes from debian-mentors@lists.debian.org
Date: Fri, 3 Feb 2012 15:33:18 +0100
Package: lists.debian.org
Severity: wishlist

debian-mentors@lists.debian.org is the maintainer of pseudo-package 
"sponsorship-requests", and as such it receives replies to mails sent to 
control@bugs.debian.org, which notify about bug report bug status 
changes. Unfortunately, these messages are causing annoyance for some 
readers[0]. After discussion on the mailing list and on IRC, the rough 
consensus is that we want these messages filtered out.


[0] http://lists.debian.org/debian-mentors/2012/01/msg00814.html

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Fri, 03 Feb 2012 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. (Fri, 03 Feb 2012 14:42:03 GMT) Full text and rfc822 format available.

Message #8 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 658498@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#658498: Please filter out bug report status changes from debian-mentors@lists.debian.org
Date: Fri, 3 Feb 2012 15:39:33 +0100
Jakub Wilk schrieb am Freitag, den 03. Februar 2012:

> Package: lists.debian.org
> Severity: wishlist
> 
> debian-mentors@lists.debian.org is the maintainer of pseudo-package
> "sponsorship-requests", and as such it receives replies to mails
> sent to control@bugs.debian.org, which notify about bug report bug
> status changes. Unfortunately, these messages are causing annoyance
> for some readers[0]. After discussion on the mailing list and on
> IRC, the rough consensus is that we want these messages filtered
> out.
imho its a bad idea then to have that list as a maintainer. Control messages
should never get blacklisted. 

Alex - Debian Listmaster
-- 
Alexander Wirt, formorer@formorer.de 
CC99 2DDD D39E 75B0 B0AA  B25C D35B BC99 BC7D 020A




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Fri, 03 Feb 2012 14:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. (Fri, 03 Feb 2012 14:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Fri, 03 Feb 2012 18:06:03 GMT) Full text and rfc822 format available.

Message #16 received at 658498@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 658498@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#658498: Please filter out bug report status changes from debian-mentors@lists.debian.org
Date: Fri, 3 Feb 2012 10:04:29 -0800
tag 658498 wontfix
thanks

On Fri, 03 Feb 2012, Jakub Wilk wrote:
> debian-mentors@lists.debian.org is the maintainer of pseudo-package
> "sponsorship-requests", and as such it receives replies to mails
> sent to control@bugs.debian.org, which notify about bug report bug
> status changes. Unfortunately, these messages are causing annoyance
> for some readers[0]. After discussion on the mailing list and on
> IRC, the rough consensus is that we want these messages filtered
> out.

People who don't want to read the control messages can just filter
them out. The following procmail will get rid of all of them.

:0 H
* ^X-Debian-PR-Message:.*transcript
* ^X-Loop:.*debian-mentors@lists.debian.org
/dev/null

Furthermore, anything which does generate these messages should set
References: appropriately, so they at least will end up in the RFS
thread they belong to.


Don Armstrong

-- 
He was wrong. Nature abhors dimensional abnormalities, and seals them
neatly away so that they don't upset people. Nature, in fact, abhors a
lot of things, including vacuums, ships called the Marie Celeste, and
the chuck keys for electric drills.
 -- Terry Pratchet _Pyramids_ p166

http://www.donarmstrong.com              http://rzlab.ucr.edu




Added tag(s) wontfix. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 03 Feb 2012 18:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Mon, 06 Feb 2012 17:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. (Mon, 06 Feb 2012 17:45:09 GMT) Full text and rfc822 format available.

Message #23 received at 658498@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 658498@bugs.debian.org
Subject: Re: Please filter out bug report status changes from debian-mentors@lists.debian.org
Date: Mon, 06 Feb 2012 18:43:23 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

please reconsider your choice. Jakub was asking on behalf of many of
us and we all came up with the conclusion that filtering control
messages would be beneficial to the mailing list. Who, if not the
people actually reading this particular mailing list every day could
judge better what seems useful and what not?

We are interested to make the sponsoring process more transparent but
being interrupted by noisy out-of-context control messages in every
other thread shown in the MUA overview is disturbing for those reading
the lists and asking packaging related questions.

It's not we wouldn't care about control messages, but they are of
limited usefulness on a mailing list where many different people are
supposed to make use of them for a reasonable large amount of
concurrently handled bugs which gives little to no advantage to
send-out these messages to the mailing list.

After all, people who /do/ want to read them can still easily
subscribe to control messages through the PTS, whereas they aren't
even useful for archival purposes as the information is redundant and
still available in the BTS view itself.

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPMBE7AAoJEMcrUe6dgPNtdl8QALSJya8o16nM0AcyLvkHCqZe
WrhcGVgoZluc+5ONdt7nh2KKi91wrIO/il00rEZ5EQ6IlTYgASSqqedAigb7ZHB1
hPWH9pJG1ajgEsc4Ngkmfl23dSRJ/UB1hv6heGegCJry+pKh8YbDZw1BQWDYRYIM
B0XxGN4YHc2RjqKdV+G+/SxiCebW9uQruYUDL2yL8R5VOP9luYF/kKmBVX8spq6w
UQr3NsaocE1u6Knd7BqZQgV7vqpUQa5GRqtfOp8eDUrJWTDAFBAAk2a2pnyLMoS8
oT6mfKbJgfiNmBTgBQBn2wxX+r+2qElgXbwqnS/ET9V055gXQsOAIh3KYZbSxqrW
HXYsgrUhocuvXIxrIDfXwSiYNd0M2EfRH73ds9Ux7hRLNgUhrQkxR0ig0OdTtwR8
7kTXzaH7PRwwWtaqdAQtJl8nKz4ECJvvFJOlToq/yP4JgeCMXt0vG7YPfpJRcGkA
FgEIym2I9T1wloriWy47jt2+xsAho8jZgPGvSbT81ExuqGpDbUrWGUz9Pz8SLAIR
k80+wVAQIQel3/wma3zLe8ZmGkQ031bVL0RKw58nI6OLY7EB5s/9l8XpYBzllEC6
3BZsiQlXgM2NHjXOoSTRbwLg1kcKuzv7iTZLaW+tlXUALbyuacg1CcksgflWfKwu
eXlh0g9i2MkcLotRvG5/
=kLk9
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Mon, 06 Feb 2012 17:57:14 GMT) Full text and rfc822 format available.

Message #26 received at 658498@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Arno Töll <debian@toell.net>, 658498@bugs.debian.org
Subject: Re: Bug#658498: Please filter out bug report status changes from debian-mentors@lists.debian.org
Date: Mon, 6 Feb 2012 09:54:34 -0800
On Mon, 06 Feb 2012, Arno Töll wrote:
> please reconsider your choice. Jakub was asking on behalf of many of
> us and we all came up with the conclusion that filtering control
> messages would be beneficial to the mailing list. Who, if not the
> people actually reading this particular mailing list every day could
> judge better what seems useful and what not?

I actually read that particular mailing list every day, so I think I'm
in a fairly good place to comment.
 
> We are interested to make the sponsoring process more transparent
> but being interrupted by noisy out-of-context control messages in
> every other thread shown in the MUA overview is disturbing for those
> reading the lists and asking packaging related questions.

The answer to this is to properly set References: and In-Reply-To: in
the control messages, and the acks will be automatically in the
appropriate thread.


Don Armstrong

-- 
All bad precedents began as justifiable measures.
 -- Gaius Julius Caesar in "The Conspiracy of Catiline" by Sallust

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Tue, 07 Feb 2012 19:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick-8@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. (Tue, 07 Feb 2012 19:33:07 GMT) Full text and rfc822 format available.

Message #31 received at 658498@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@mail.ru>
To: 658498@bugs.debian.org
Subject: Re: Bug#658498: Please filter out bug report status changes from debian-mentors@lists.debian.org
Date: Tue, 07 Feb 2012 23:31:58 +0400
Hi everyone,

Let's look at simple statistics for the first 7 days of this month:

$ curl -q http://lists.debian.org/debian-mentors/2012/02/maillist.html 2> /dev/null | \
grep '<li><strong>' | wc -l
191

$ curl http://lists.debian.org/debian-mentors/2012/02/maillist.html 2> /dev/null | \
grep '<li><strong>' | grep 'Debian Bug Tracking System' | wc -l
25

$ echo $((100*25/191))%
13%

I.e. 13% of messages are useless for most subscribers.
Is it good reason to filter these messages?

Best regards,
Boris

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Tue, 07 Feb 2012 19:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@formorer.de>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. (Tue, 07 Feb 2012 19:42:08 GMT) Full text and rfc822 format available.

Message #36 received at 658498@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@formorer.de>
To: Boris Pek <tehnick-8@mail.ru>, 658498@bugs.debian.org
Subject: Re: Bug#658498: Please filter out bug report status changes from debian-mentors@lists.debian.org
Date: Tue, 7 Feb 2012 20:36:23 +0100
Boris Pek schrieb am Tuesday, den 07. February 2012:

> Hi everyone,
> 
> Let's look at simple statistics for the first 7 days of this month:
> 
> $ curl -q http://lists.debian.org/debian-mentors/2012/02/maillist.html 2> /dev/null | \
> grep '<li><strong>' | wc -l
> 191
> 
> $ curl http://lists.debian.org/debian-mentors/2012/02/maillist.html 2> /dev/null | \
> grep '<li><strong>' | grep 'Debian Bug Tracking System' | wc -l
> 25
> 
> $ echo $((100*25/191))%
> 13%
> 
> I.e. 13% of messages are useless for most subscribers.
> Is it good reason to filter these messages?
I repeat: don't use a mailinglist as maintainer if you don't want to read the
control messages.

Alex





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Wed, 08 Feb 2012 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. (Wed, 08 Feb 2012 02:15:04 GMT) Full text and rfc822 format available.

Message #41 received at 658498@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 658498@bugs.debian.org
Cc: debian-mentors@lists.debian.org
Subject: Re: sponsorship-requests and debian-mentors mailing list
Date: Wed, 8 Feb 2012 13:13:27 +1100
I think proposal regarding managing sponsorship through bug tracker was to 
encourage usage of bug tracker.

To me forwarding BTS activity for sponsorship-requests to mentors mail list 
appears to be against the spirit and the desire of the proposal.

Indeed we should encourage people to PTS-subscribe instead and therefore 
provide certain freedom of choice. (I'm not talking regarding the best way to 
inform subscribers regarding the change)

So please let's filter 
 or clearly explain why not
  so everybody would understand and agree.

Regards,
Dmitry.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Wed, 08 Feb 2012 07:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@formorer.de>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. (Wed, 08 Feb 2012 07:18:03 GMT) Full text and rfc822 format available.

Message #46 received at 658498@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@formorer.de>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 658498@bugs.debian.org
Cc: debian-mentors@lists.debian.org
Subject: Re: Bug#658498: sponsorship-requests and debian-mentors mailing list
Date: Wed, 8 Feb 2012 08:05:45 +0100
Dmitry Smirnov schrieb am Wednesday, den 08. February 2012:

> I think proposal regarding managing sponsorship through bug tracker was to 
> encourage usage of bug tracker.
> 
> To me forwarding BTS activity for sponsorship-requests to mentors mail list 
> appears to be against the spirit and the desire of the proposal.
> 
> Indeed we should encourage people to PTS-subscribe instead and therefore 
> provide certain freedom of choice. (I'm not talking regarding the best way to 
> inform subscribers regarding the change)
> 
> So please let's filter 
>  or clearly explain why not
>   so everybody would understand and agree.
IMHO don and I did.

Alex
 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Wed, 08 Feb 2012 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. (Wed, 08 Feb 2012 09:12:08 GMT) Full text and rfc822 format available.

Message #51 received at 658498@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Alexander Wirt <formorer@formorer.de>
Cc: 658498@bugs.debian.org
Subject: Re: Bug#658498: sponsorship-requests and debian-mentors mailing list
Date: Wed, 8 Feb 2012 20:08:56 +1100
Hi Alex,

On Wed, 8 Feb 2012 18:05:45 Alexander Wirt wrote:
> 
> IMHO don and I did.

I mean that explanation is hardly satisfactory for us.
Personally I don't like the idea to suggest subscribers to filter messages 
from list. 
I think many of us would agree that it's inconvenient, so say the least.
I have a feeling that some of our arguments are left unanswered, like why such 
thing has been done in first place.

If control messages should go to mail list, perhaps we can have a separate 
mail list dedicated for control messages?

And after all asking new contributors to use PTS-subscribe is not necessarily 
worse than asking everybody else to filter.

Regards,
Dmitry.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#658498; Package lists.debian.org. (Wed, 08 Feb 2012 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@formorer.de>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. (Wed, 08 Feb 2012 09:21:04 GMT) Full text and rfc822 format available.

Message #56 received at 658498@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@formorer.de>
To: Dmitry Smirnov <onlyjob@member.fsf.org>
Cc: 658498@bugs.debian.org
Subject: Re: Bug#658498: sponsorship-requests and debian-mentors mailing list
Date: Wed, 8 Feb 2012 10:14:09 +0100
Dmitry Smirnov schrieb am Wednesday, den 08. February 2012:

> Hi Alex,
> 
> On Wed, 8 Feb 2012 18:05:45 Alexander Wirt wrote:
> > 
> > IMHO don and I did.
> 
> I mean that explanation is hardly satisfactory for us.
> Personally I don't like the idea to suggest subscribers to filter messages 
> from list. 
And we don't like the idea of control messages send to /dev/null.

> I think many of us would agree that it's inconvenient, so say the least.
> I have a feeling that some of our arguments are left unanswered, like why such 
> thing has been done in first place.
> 
> If control messages should go to mail list, perhaps we can have a separate 
> mail list dedicated for control messages?
That would be a solution, but every message from bts would went to this list
then.

> 
> And after all asking new contributors to use PTS-subscribe is not necessarily 
> worse than asking everybody else to filter.
I disagree. I (as DD and listmaster) expect that control-messages arrive the
maintainers address.

Alex 




Reply sent to Arno Töll <arno@debian.org>:
You have taken responsibility. (Tue, 15 Jan 2013 15:18:15 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Tue, 15 Jan 2013 15:18:15 GMT) Full text and rfc822 format available.

Message #61 received at 658498-done@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: 658498-done@bugs.debian.org
Subject: Please filter out bug report status changes from debian-mentors@lists.debian.org
Date: Tue, 15 Jan 2013 16:15:06 +0100
[Message part 1 (text/plain, inline)]
I'm closing this bug now that #677277 was implemented instead. Hopefully
you don't mind. :)


-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Feb 2013 07:27:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:15:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.